# The "DataBrowser" Widget

This widget provides a data selector (browser) in a popup window.

Library: karmawidgets
Link With: -lkarmawidgets

#### Tables

DataBrowser_ResourceNames | List of resource names for DataBrowser widget
DataBrowser_Resources | List of resources for DataBrowser widget

#### Functions

XkwDataBrowserPopup | Popup a browser for a blinkstate.
XkwDataBrowserGetAlternate | Get alternate image for a blinkstate.

## Tables

DataBrowser_ResourceNames List of resource names for DataBrowser widget

Name | Purpose
XtNx | The horizontal position to place the widget at
XtNy | The vertical position to place the widget at

DataBrowser_Resources List of resources for DataBrowser widget

Name | Class | Rep. Type | Default
XkwNpopupFirstDataBrowser | XkwCPopupFirstDataBrowser | XtRBool | True
XkwNcreateAtInit | XkwCCreateAtInit | XtRBool | FALSE

## Functions

#### EXPERIMENTAL FUNCTION: subject to change without notice

void XkwDataBrowserPopup (KDisplayDataBlinkState bs)

Popup a browser for a blinkstate.

Parameters:

- bs : The blinkstate.

Returns: Nothing.
Multithreading Level: Unsafe

#### EXPERIMENTAL FUNCTION: subject to change without notice

KDisplayDataBlinkEntry XkwDataBrowserGetAlternate (KDisplayDataBlinkState bs)

Get alternate image for a blinkstate.

Parameters:

- bs : The blinkstate.

Returns: The blinkentry. NULL is returned if there is no alternate image.
Multithreading Level: Unsafe

Back to Karma Home Page